Page MenuHomePhabricator

Migrate Wiki Ed Dashboard to the new validator framework
Closed, ResolvedPublic

Description

Migrate the existing checker / suggester code to instead use the new validator framework. We need to add,

  1. Replace rubyVariableCheck with InsertableRubyVariable validator.
  2. An insertable suggester for /\%{[^}]+}|%s/ (Variable eg:// %{title}).
  3. An insertable suggester for /&(?:[a-z]+|#\d+);/ (Variable eg:  ).

We'll need to update the YAML configuration file located here - https://phabricator.wikimedia.org/diffusion/GTWN/browse/master/groups/

Documentation: https://www.mediawiki.org/wiki/Help:Extension:Translate/Validators
Example patch: https://gerrit.wikimedia.org/r/c/translatewiki/+/549930

Event Timeline

abi_ created this task.Nov 26 2019, 4:07 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptNov 26 2019, 4:07 PM

Change 560548 had a related patch set uploaded (by Crutishnyk; owner: Crutishnyk):
[translatewiki@master] WikiEduDashboard: Update WikiEduDashboard to the new validator framework

https://gerrit.wikimedia.org/r/560548

Change 560548 merged by jenkins-bot:
[translatewiki@master] WikiEduDashboard: Update WikiEduDashboard to the new validator framework

https://gerrit.wikimedia.org/r/560548

abi_ closed this task as Resolved.Dec 26 2019, 6:32 PM
abi_ assigned this task to Crutishnyk.

This is done and deployed on Translatewiki.net

This is done and deployed on Translatewiki.net

This is great but please approve a task on GCI dashboard.

Done - Abi probably forgot to do that. Thanks for your patch and patience!

Done - Abi probably forgot to do that. Thanks for your patch and patience!

Thanks for the quick response.

abi_ added a comment.Dec 27 2019, 1:55 AM

Done - Abi probably forgot to do that. Thanks for your patch and patience!

Thanks.